# -*- encoding: utf-8 -*-
# stub: sensu-plugins-azurerm 4.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-azurerm".freeze
  s.version = "4.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "Tom Harvey", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Tom Harvey".freeze]
  s.date = "2020-03-09"
  s.description = "This plugin provides checks for Microsoft Azure's Resource Manager service.".freeze
  s.email = "<github@ibuildstuff.co.uk>".freeze
  s.executables = ["check-azurerm-cores-dsv2-usage.rb".freeze, "check-azurerm-network-security-groups-usage.rb".freeze, "check-azurerm-service-bus-subscription.rb".freeze, "check-azurerm-public-ip-addresses-usage.rb".freeze, "check-azurerm-service-bus-topic-size.rb".freeze, "check-azurerm-static-public-ip-addresses-usage.rb".freeze, "check-azurerm-cores-dv2-usage.rb".freeze, "check-azurerm-virtual-network-gateway-connected.rb".freeze, "check-azurerm-route-tables-usage.rb".freeze, "check-azurerm-monitor-metric.rb".freeze, "metric-azurerm-service-bus-subscription-message-count.rb".freeze, "check-azurerm-load-balancers-usage.rb".freeze, "metric-azurerm-virtual-network-gateway-usage.rb".freeze, "check-azurerm-virtual-networks-usage.rb".freeze, "check-azurerm-virtual-network-gateway-failure-connected.rb".freeze, "check-azurerm-network-interfaces-usage.rb".freeze, "check-azurerm-virtual-machines-usage.rb".freeze, "check-azurerm-cores-ds-usage.rb".freeze, "check-azurerm-core-usage.rb".freeze, "check-azurerm-cores-d-usage.rb".freeze, "check-azurerm-cores-f-usage.rb".freeze, "check-azurerm-cores-fs-usage.rb".freeze]
  s.files = ["bin/check-azurerm-core-usage.rb".freeze, "bin/check-azurerm-cores-d-usage.rb".freeze, "bin/check-azurerm-cores-ds-usage.rb".freeze, "bin/check-azurerm-cores-dsv2-usage.rb".freeze, "bin/check-azurerm-cores-dv2-usage.rb".freeze, "bin/check-azurerm-cores-f-usage.rb".freeze, "bin/check-azurerm-cores-fs-usage.rb".freeze, "bin/check-azurerm-load-balancers-usage.rb".freeze, "bin/check-azurerm-monitor-metric.rb".freeze, "bin/check-azurerm-network-interfaces-usage.rb".freeze, "bin/check-azurerm-network-security-groups-usage.rb".freeze, "bin/check-azurerm-public-ip-addresses-usage.rb".freeze, "bin/check-azurerm-route-tables-usage.rb".freeze, "bin/check-azurerm-service-bus-subscription.rb".freeze, "bin/check-azurerm-service-bus-topic-size.rb".freeze, "bin/check-azurerm-static-public-ip-addresses-usage.rb".freeze, "bin/check-azurerm-virtual-machines-usage.rb".freeze, "bin/check-azurerm-virtual-network-gateway-connected.rb".freeze, "bin/check-azurerm-virtual-network-gateway-failure-connected.rb".freeze, "bin/check-azurerm-virtual-networks-usage.rb".freeze, "bin/metric-azurerm-service-bus-subscription-message-count.rb".freeze, "bin/metric-azurerm-virtual-network-gateway-usage.rb".freeze]
  s.homepage = "https://github.com/sensu-plugins/sensu-plugins-azurerm".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for working with an Azure Resource Manager environment".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<azure_mgmt_compute>.freeze, ["= 0.8.0"])
    s.add_runtime_dependency(%q<azure_mgmt_network>.freeze, ["= 0.8.0"])
    s.add_runtime_dependency(%q<azure_mgmt_service_bus>.freeze, ["= 0.8.0"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, [">= 0.6.2", "< 0.12.0"])
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<kitchen-docker>.freeze, ["~> 2.6"])
    s.add_development_dependency(%q<kitchen-localhost>.freeze, ["~> 0.3"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_development_dependency(%q<rdoc>.freeze, ["~> 6.2"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.80.1"])
    s.add_development_dependency(%q<serverspec>.freeze, ["~> 2.41.5"])
    s.add_development_dependency(%q<test-kitchen>.freeze, ["~> 1.25.0"])
    s.add_development_dependency(%q<webmock>.freeze, ["~> 3.1"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.20"])
  else
    s.add_dependency(%q<azure_mgmt_compute>.freeze, ["= 0.8.0"])
    s.add_dependency(%q<azure_mgmt_network>.freeze, ["= 0.8.0"])
    s.add_dependency(%q<azure_mgmt_service_bus>.freeze, ["= 0.8.0"])
    s.add_dependency(%q<ms_rest_azure>.freeze, [">= 0.6.2", "< 0.12.0"])
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_dependency(%q<kitchen-docker>.freeze, ["~> 2.6"])
    s.add_dependency(%q<kitchen-localhost>.freeze, ["~> 0.3"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_dependency(%q<rdoc>.freeze, ["~> 6.2"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.80.1"])
    s.add_dependency(%q<serverspec>.freeze, ["~> 2.41.5"])
    s.add_dependency(%q<test-kitchen>.freeze, ["~> 1.25.0"])
    s.add_dependency(%q<webmock>.freeze, ["~> 3.1"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.20"])
  end
end
